Bug 1734350 - microdnf fails to install from repo which uses xml:base on location
Summary: microdnf fails to install from repo which uses xml:base on location
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: microdnf
Version: ---
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 8.0
Assignee: amatej
QA Contact: Luca Berton
URL:
Whiteboard:
Depends On: 1681091 1691315
Blocks: 1755139
TreeView+ depends on / blocked
 
Reported: 2019-07-30 10:19 UTC by Daniel Mach
Modified: 2020-04-28 16:55 UTC (History)
10 users (show)

Fixed In Version: libdnf-0.39.1-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1691315
Environment:
Last Closed: 2020-04-28 16:55:23 UTC
Type: Bug
Target Upstream Version:
lberton: needinfo+
lberton: needinfo+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2020:1855 0 None None None 2020-04-28 16:55:43 UTC

Comment 1 amatej 2019-09-16 12:39:57 UTC
Proposing AC:
microdnf is able to install packages from:
  1. local repo with local packages
  2. local repo with local packages (different package location specified using xml:base)
  3. local repo with remote packages (different package location specified using xml:base)
  4. local repo with local and remote packages; installing both at the same time.
  3. remote repo with remote packages
  3. remote repo with remote packages (different package location (different url) specified using xml:base)

Comment 3 amatej 2019-11-01 15:55:33 UTC
I created a PR that should fix this:
https://github.com/rpm-software-management/libdnf/pull/833

Comment 11 errata-xmlrpc 2020-04-28 16:55:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2020:1855


Note You need to log in before you can comment on or make changes to this bug.